VRAMToHL:
	push af
		ld a,l
		out ($bf),a
		ld a,h
		out ($bf),a
	pop af
	ret
	
WriteVRAM:
	push af
	push bc 
	push hl
		-: ; boucle
			ld a,(hl)
			out ($be),a
			inc hl
			dec c
			jp nz,-
			dec b
			jp nz,-
	pop hl 
	pop bc 
	pop af
	ret

WriteToHL:
	push af
	push bc 
	push hl
	push de
		-:
			ld a,(hl)
			ld (de),a
			inc hl
			inc de
			dec b
			jp nz,-
	pop de
	pop hl 
	pop bc 
	pop af
	ret	

ClrVRAM:
	push af
	push bc
		ld bc,$4000
		ld a,$00
		bclrvram:
			out ($be),a
		    dec c
		    jp nz,bclrvram
		    dec b 
		    jp nz,bclrvram 
	pop bc
	pop af
	ret